Are You at Risk From This?

        A very serious warning comes from John Carter.  "GIGAOAM, CNN Money, BBC News, and others have released a notice that there is a bug called 'Freak' that was found in software used to encrypt data passing between web servers and web users. 
        "Browsers so far noted to be affected are Safari, Google Chrome, and Windows Internet Explorer. Initially, the flaw was thought only to affect some users of Android and Blackberry phones and Appleā€™s web browser. For sure, every version of Internet Explorer is at risk.

        "What is at risk is personal and financial data open to attackers. This bug only allows attackers to capture data, but that includes passwords which then opens up the possibility of the attacker stealing all your money and your identity.
        "The horror part of the story is that this bug is the result of the government insisting on 'weak' encryption so that it could break in wherever it wanted."
        Of course you will want to read the full story yourself.  See  herehere and here.
        John closes with these final remarks, "It might be wise to limit Internet browsing using only Firefox until things settle down.  The news broke as early as March 4, 2015."